<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myProspectLabel" jhiTranslate="mpmApp.prospect.home.createOrEditLabel">Create or edit a Prospect</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="modal-body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" [hidden]="!prospect.idProspect">
            <label for="id" jhiTranslate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id" [(ngModel)]="prospect.idProspect" readonly />
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.prospectNumber" for="field_prospectNumber">Prospect Number</label>
            <input type="text" class="form-control" name="prospectNumber" id="field_prospectNumber"
                [(ngModel)]="prospect.prospectNumber"  />
        </div>

        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.dealer" for="field_dealer">Dealer</label>
            <select class="form-control" id="field_dealer" name="dealer" [(ngModel)]="prospect.dealerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="internalOption.IdInternal" *ngFor="let internalOption of internals; trackBy: trackInternalById">{{internalOption.name}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.broker" for="field_broker">Broker</label>
            <select class="form-control" id="field_broker" name="broker" [(ngModel)]="prospect.brokerId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="salesBrokerOption.idPartyRole" *ngFor="let salesBrokerOption of salesbrokers; trackBy: trackSalesBrokerById">{{salesBrokerOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.prospectSource" for="field_prospectSource">Prospect Source</label>
            <select class="form-control" id="field_prospectSource" name="prospectSource" [(ngModel)]="prospect.prospectSourceId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="prospectSourceOption.idProspectSource" *ngFor="let prospectSourceOption of prospectsources; trackBy: trackProspectSourceById">{{prospectSourceOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.eventType" for="field_eventType">Event Type</label>
            <select class="form-control" id="field_eventType" name="eventType" [(ngModel)]="prospect.eventTypeId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="eventTypeOption.idEventType" *ngFor="let eventTypeOption of eventtypes; trackBy: trackEventTypeById">{{eventTypeOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.facility" for="field_facility">Facility</label>
            <select class="form-control" id="field_facility" name="facility" [(ngModel)]="prospect.facilityId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="facilityOption.idFacility" *ngFor="let facilityOption of facilities; trackBy: trackFacilityById">{{facilityOption.id}}</option>
            </select>
        </div>
        <div class="form-group">
            <label class="form-control-label" jhiTranslate="mpmApp.prospect.salesman" for="field_salesman">Salesman</label>
            <select class="form-control" id="field_salesman" name="salesman" [(ngModel)]="prospect.salesmanId" >
                <option [ngValue]="null"></option>
                <option [ngValue]="salesmanOption.idPartyRole" *ngFor="let salesmanOption of salesmen; trackBy: trackSalesmanById">{{salesmanOption.id}}</option>
            </select>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}" 
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}" 
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
